﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using System.Collections;

namespace wf_Chart_ticket_526021
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radChart1.BeforeLayout += new EventHandler<EventArgs>(radChart1_BeforeLayout);
            this.radChart1.DataBinding += new EventHandler<EventArgs>(radChart1_DataBinding);

            this.radChart1.Series.Clear();
            this.radChart1.Series.Add(new Telerik.Charting.ChartSeries() { Type = Telerik.Charting.ChartSeriesType.Line });

            this.radChart1.Series[0].DataYColumn = "y_column";
            this.radChart1.PlotArea.XAxis.DataLabelsColumn = "x_column";

            DataTable table = new DataTable();
            table.Columns.Add("x_column");
            table.Columns.Add("y_column");

            table.Rows.Add("001", 1);
            table.Rows.Add("03", 4);
            table.Rows.Add("00000", 2);
            table.Rows.Add("00043300", 3);

            this.radChart1.DataSource = table;
            this.radChart1.DataBind();
        }
        
        void radChart1_BeforeLayout(object sender, EventArgs e)
        {
            foreach (var axisItem in this.radChart1.PlotArea.XAxis.Items)
            {
                // remove the sentinel symbol
                axisItem.TextBlock.Text = axisItem.TextBlock.Text.Remove(0, 1);
            }
        }

        void radChart1_DataBinding(object sender, EventArgs e)
        {
            var radChart = sender as RadChart; 
            var dataTable = radChart.DataSource as DataTable;

            foreach (DataRow item in dataTable.Rows)
            {
                // prepend a sentinel symbol
                item["x_column"] = "x" + item["x_column"];
            }
        }
    }
}
